from fastapi import APIRouter, HTTPException, status
from ..controllers.character_controller import *
from fastapi import Depends
from sqlalchemy.orm import Session
from ..dependencies.database import get_db

router = APIRouter()


#角色创建接口
@router.post("/characters",response_model=CharacterCreateResponse)
async def create_character(character:CharacterCreateRequest, db: Session = Depends(get_db)):
    response = await create_character_handler(character, db)
    return response


#用户更新接口
@router.put("/characters/{character_id}",response_model=CharacterUpdateResponse)
async def update_character(character_id:int,character:CharacterUpdateRequest, db: Session = Depends(get_db)):
    response = await update_character_handler(character_id, character, db)
    return response


#角色删除接口
@router.delete("/characters/{character_id}", response_model=CharacterDeleteResponse)
async def delete_character(character_id: int, db: Session = Depends(get_db)):
    response = await delete_character_handler(character_id, db)
    return response


#角色查询接口
@router.get("/characters/{character_id}",response_model=CharacterQueryResponse)
async def get_character(character_id: int, db: Session = Depends(get_db)):
    response = await get_character_handler(character_id, db)
    return response
