from pydantic import BaseModel
from typing import Optional
from .base_schema import BaseResponse

#---------------------------角色创建-----------------------------
#角色创建请求类
class CharacterCreateRequest(BaseModel):
    voice_id:int
    avatar_id:str
    background_ids:str
    name:str
    wakeup_words:str
    world_scenario:str
    description:str
    emojis:str
    dialogues:str

#角色创建返回类
class CharacterCreateData(BaseModel):
    character_id:int
    createdAt:str

#角色创建响应类
class CharacterCreateResponse(BaseResponse):
    data: Optional[CharacterCreateData]
#----------------------------------------------------------------


#---------------------------角色更新------------------------------
#角色更新请求类
class CharacterUpdateRequest(BaseModel):
    voice_id:int
    avatar_id:str
    background_ids:str
    name:str
    wakeup_words:str
    world_scenario:str
    description:str
    emojis:str
    dialogues:str

#角色更新返回类
class CharacterUpdateData(BaseModel):
    updatedAt:str

#角色更新响应类
class CharacterUpdateResponse(BaseResponse):
    data: Optional[CharacterUpdateData]
#------------------------------------------------------------------


#---------------------------角色查询--------------------------------
#角色查询返回类
class CharacterQueryData(BaseModel):
    voice_id:int
    avatar_id:str
    background_ids:str
    name:str
    wakeup_words:str
    world_scenario:str
    description:str
    emojis:str
    dialogues:str

#角色查询响应类
class CharacterQueryResponse(BaseResponse):
    data: Optional[CharacterQueryData]
#------------------------------------------------------------------


#---------------------------角色删除--------------------------------
#角色删除返回类
class CharacterDeleteData(BaseModel):
    deletedAt:str

#角色删除响应类
class CharacterDeleteResponse(BaseResponse):
    data: Optional[CharacterDeleteData]
#-------------------------------------------------------------------
