from pydantic import BaseModel
from typing import Optional
from .base_schema import BaseResponse

#--------------------------------新聊天创建--------------------------------
#创建新聊天请求类
class ChatCreateRequest(BaseModel):
    user_id: int
    character_id: int

#创建新聊天返回类
class ChatCreateData(BaseModel):
    user_character_id: int
    session_id: str
    createdAt: str

#创建新聊天相应类
class ChatCreateResponse(BaseResponse):
    data: Optional[ChatCreateData]
#--------------------------------------------------------------------------


#----------------------------------聊天删除--------------------------------
#删除聊天返回类
class ChatDeleteData(BaseModel):
    deletedAt: str

#创建新聊天相应类
class ChatDeleteResponse(BaseResponse):
    data: Optional[ChatDeleteData]
#--------------------------------------------------------------------------


#-----------------------------------非流式聊天------------------------------
#非流式聊天请求类
class ChatNonStreamRequest(BaseModel):
    format: str
    rate: int
    session_id: str
    speech:str

#非流式聊天返回类
class ChatNonStreamData(BaseModel):
    audio_url: str

#非流式聊天相应类
class ChatNonStreamResponse(BaseResponse):
    data: Optional[ChatNonStreamData]
#--------------------------------------------------------------------------