from pydantic import BaseModel
from typing import List
from typing import Optional
from .base_schema import BaseResponse

#----------------------------Session_id查询------------------------------
#session_id查询请求类
class SessionIdQueryRequest(BaseModel):
    user_id: int
    character_id: int

#session_id查询返回类
class SessionIdQueryData(BaseModel):
    session_id: str

#session_id查询响应类
class SessionIdQueryResponse(BaseResponse):
    data: Optional[SessionIdQueryData]
#-------------------------------------------------------------------------


#----------------------------Session会话查询-------------------------------
#session会话查询请求类
class SessionQueryRequest(BaseModel):
    user_id: int

class SessionQueryData(BaseModel):
    user_id: int
    messages: str
    user_info: str
    tts_info: str
    llm_info: str
    token: int

#session会话查询响应类
class SessionQueryResponse(BaseResponse):
    data: Optional[SessionQueryData]
#-------------------------------------------------------------------------


#-------------------------------Session修改--------------------------------
#session修改请求类
class SessionUpdateRequest(BaseModel):
    user_id: int
    messages: str
    user_info: str
    tts_info: str
    llm_info: str
    token: int

#session修改返回类
class SessionUpdateData(BaseModel):
    updatedAt:str

#session修改响应类
class SessionUpdateResponse(BaseResponse):
    data: Optional[SessionUpdateData]
#--------------------------------------------------------------------------