import os
from .development import DevelopmentConfig
from .production import ProductionConfig

def get_config():
    mode = os.getenv('MODE','development').lower()
    if mode == 'development':
        return DevelopmentConfig
    elif mode == 'production':
        return ProductionConfig
    else:
        raise ValueError('Invalid MODE environment variable')
    