from tests.unit_test.user_test import UserServiceTest
from tests.unit_test.character_test import CharacterServiceTest
from tests.unit_test.chat_test import ChatServiceTest
import asyncio

if __name__ == '__main__':
    user_service_test = UserServiceTest()
    character_service_test = CharacterServiceTest()
    chat_service_test = ChatServiceTest()

    user_service_test.test_user_create()
    user_service_test.test_user_update()
    user_service_test.test_user_query()
    user_service_test.test_hardware_bind()
    user_service_test.test_hardware_unbind()
    user_service_test.test_user_delete()

    character_service_test.test_character_create()
    character_service_test.test_character_update()
    character_service_test.test_character_query()
    character_service_test.test_character_delete()

    chat_service_test.test_create_chat()
    chat_service_test.test_session_id_query()
    chat_service_test.test_session_content_query()
    chat_service_test.test_session_update()
    asyncio.run(chat_service_test.test_chat_temporary())
    asyncio.run(chat_service_test.test_chat_lasting())
    asyncio.run(chat_service_test.test_voice_call())
    chat_service_test.test_chat_delete()
    print("全部测试成功")